//
//    Copyright 2010 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#ifndef STATUSMESSAGEBOX_H
#define STATUSMESSAGEBOX_H

#include "ui_StatusMessageBoxUi.h"
//Added by qt3to4:
#include <QPixmap>

class StatusMessageBox : public QDialog, public Ui::StatusMessageBoxUi
{
    Q_OBJECT
public:
    explicit StatusMessageBox(QWidget *parent = 0);
    void setPixmap( const QPixmap &p );
    void setText( const QString &t );

signals:
    //    void accepted(); // inherited from QDialog
    //    void rejected(); // inherited from QDialog

public slots:
    void accept();
    void reject();

};

#endif // STATUSMESSAGEBOX_H
