//
//    Copyright 2010 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#ifndef CALAVGDIALOG_H
#define CALAVGDIALOG_H

#include "ui_calavgdialogbase.h"
#include "calibrationdialog.h"

class AllConfig;
class QTimer;
class QAbstractTableModel;

class CalAvgDialog : public CalibrationDialog, public Ui::CalAvgDialogBase
{
    Q_OBJECT
public:
    explicit CalAvgDialog(QWidget * parent);
    virtual ~CalAvgDialog ();

signals:

protected slots:
    virtual void update();

private:
    QAbstractTableModel *d_model;

};

#endif // CALAVGDIALOG_H
