//
//    Copyright 2010 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#ifndef CALZERODIALOG_H
#define CALZERODIALOG_H

#include "ui_calzerodialogbase.h"
#include "calibrationdialog.h"


class CalZeroDialog : public CalibrationDialog, public Ui::CalZeroDialogBase
{
    Q_OBJECT
public:
    explicit CalZeroDialog(QWidget * parent);
    virtual ~CalZeroDialog();

signals:

public slots:

protected slots:
    virtual void update();

private:
    int adc_baseline_good(int ch) const;
    int adc_noiselevel_good(int ch) const;

    CalZeroConfig * const prevCalZero;
};

#endif // CALZERODIALOG_H
