#ifndef CTI_H
#define CTI_H

#include <q3table.h>

class /*QM_EXPORT_TABLE*/ MyCheckTableItem : public Q3TableItem
{
public:
    explicit MyCheckTableItem( Q3Table *table );
    virtual QWidget *createEditor() const;
    virtual void setContentFromEditor( QWidget *w );
    virtual void paint( QPainter *p, const QColorGroup &cg,
                       const QRect &cr, bool selected );
    virtual void setChecked( bool b );
    bool isChecked() const;
    QCheckBox *get_cb_ref() {return cb;}

    int rtti() const;
    static int RTTI;

private:
    QCheckBox *cb;
    bool checked;

};

#endif /* CTI_H */
