
#include "QString"
#include "oemstrings.h"
#include "version.h"
//#include "adcmlib/adcm_ver.h"

QString OEMStrings::name()
{
    return tr("ADCM Control Program");
}

QString OEMStrings::version()
{
    return tr("Version ") + QString(VERSION);
}

QString OEMStrings::revision()
{
#ifdef SVN_REV
    QString tmp;
    tmp = tr("Rev. ");
    tmp += QString(SVN_REV);
#ifdef DEBUG
    tmp += " " + tr("debug");
#endif
    return tmp;
#else
    return QString();
#endif
}

QString OEMStrings::release_date()
{
    return tr("Compiled ") + QString(__DATE__ __TIME__);
}

QString OEMStrings::copyright()
{
    return tr("Copyright 2003-2013 Ilja Slepnev");
}

QString OEMStrings::address()
{
    return tr("Joint Institute for Nuclear Research<br>Dubna, RUSSIA");
}

QString OEMStrings::www()
{
    return "http://afi.jinr.ru/";
}
