#ifndef QUTIL_H
#define QUTIL_H

#include <QObject>
#include <QCursor>

class QWidget;

class localWaitCursor: public QObject
{
public:
    explicit localWaitCursor(QWidget *w);
    virtual ~localWaitCursor();
private:
    QWidget *widget;
    QCursor save_cursor;
};

class globalWaitCursor: public QObject
{
public:
    globalWaitCursor();
    virtual ~globalWaitCursor();
private:
    QCursor save_cursor;
};

class ScopedWidgetDisabler: public QObject {
public:
    explicit ScopedWidgetDisabler(QWidget *p);
    ~ScopedWidgetDisabler();
protected:
    QWidget *widget;
    bool saveState;
};
/*
class QTimer;
class TimerStarterOnDestruct
{
public:
    explicit TimerStarterOnDestruct(QTimer *timer, int msec, bool sshot = false);
    ~TimerStarterOnDestruct();
private:
    QTimer *p_timer;
    int p_msec;
    bool p_sshot;
};
*/
class MyWidgetState
{
public:
    //  QRect rect;
    QPoint pos;
    QSize size;
    bool shown;
};

#endif /* QUTIL_H */
