
#include <QTextStream>
#include <QDebug>

#include <stdarg.h> // FIXME: va_start
#include <cstdio>
#include <cstring>
#include <cmath>
#include <climits>
#include <cassert>

#include "config/adcconfig.h"
#include "config/decoderconfig.h"
#include "config/calzeroconfig.h"
#include "config/allconfig.h"
#include "adcm_ev.h"
#include "AdcmChbuf.h"
#include "adcm_dec.h"
#include "adcm_dws.h"
#include "dsplib/fir.h"
#include "qlog/qlog.h"
#include "timer.h"
#include "dsplib/dsplib.h"
#include "dsplib/fitter.h"
#include "util.h"
#include "adcmraw/adcm_mem.h"

const int CALAVG_NUMBER_LIMIT = 65536; // maximum ADC bits 16

int ADC_CLIP_WARNING = 5;

const size_t ADCM_DEC_MSGBUF_SIZE = 10240;   // 10kB

double DEFAULT_SIGMA = 2.0;

//const char *decoder_mode_str (decoder_mode_t mode)
//{
//    switch (mode) {
//    case DM_OFF:
//        return ("OFF");
//    case DM_ZERO:
//        return ("OFFSET");
//    case DM_AVG:
//        return ("SHAPE");
//    case DM_REC:
//        return ("TIME");
//    default:
//        return "unknown";
//    }
//}
