#ifndef MLINK_BITOP_H
#define MLINK_BITOP_H

namespace mlink {
    //#define set_bit_value(d, mask, state) {if (state) (d) |= (mask); else (d) &= ~(mask);}
    //#define get_bit_value(d, mask) ((d) & (mask))
    //#define BYTES_FOR_BITS(x) (((x)+7)/8)  /* number of bytes required to store x bits */

    //void bitcopy (void *dst, unsigned int doff, const void *src, unsigned int soff, unsigned int len);
    int bitcmp (const void *in, const void *out, unsigned int len);
    void bitprintdiff (const void *in, const void *out, unsigned int len);
    void bitprintdiff_groups (const void *in, const void *out, unsigned int len, unsigned int bit_per_group);
    void bitprint (const void *in, unsigned int len);
    void bitprint_groups (const void *in, unsigned int len, unsigned int bit_per_group);
};

#endif   /* MLINK_BITOP_H */
