#ifndef ADCM_DEC_H
#define ADCM_DEC_H 1

#include "adcm_dws.h"
//#include "timer.h"

// Old-style flags
const int F_TERR   = 0x00000002;     /* timing error */
const int F_BLRERR = 0x00000004;     /* BLR error */
const int F_INTERR = 0x00000008;     /* Integrator error */
const int F_CLIP   = 0x00000010;     /* any chanel has clipping */
const int F_PILEUP = 0x00000020;     /* any chanel has multiple pulses */
const int F_CNTERR = 0x00000040;     /* any chanel has counter overflow */
const int F_FLAG   = 0x80000000;     /* hardware trigger logic error */

#define F_ANYERR (F_TERR|F_BLRERR|F_INTERR|F_CLIP|F_PILEUP|F_CNTERR)


extern int ADC_CLIP_WARNING;  // clip detector threshold, steps

typedef enum { DM_OFF, DM_ZERO, DM_AVG, DM_REC } decoder_mode_t;
//const char *decoder_mode_str (decoder_mode_t mode);

class adcm_decstat_t;
class AdcmEvent;
class AdcConfig;
class DecoderConfig;
class CalZeroConfig;
class CalAvgConfig;

//  int adcm_event_suboffs (Cfg * cfg, adcm_ev_t * ev);
//void adcm_decoder_clear_stat (adcm_decstat_t * st);
//void adcm_decoder_print_stat (const adcm_decstat_t * st);



//  int adcm_dec_init ();
//  int adcm_dec_cleanup ();
//  int adcm_dec_reset ();
//  void adcm_dec_printmsg ();
//  char *adcm_dec_msg ();
//  void adcm_dec_clearmsg ();


//  int adcm_ev_decode (const Cfg &cfg, struct adcm_ev_t * ev, unsigned int stages, struct adcm_decstat_t * decst);
//  int adcm_ev_simulate (const Cfg &cfg, struct adcm_ev_t * ev);

//unsigned int resolve_decoder_stages_dependencies (unsigned int stages);
//unsigned int decoder_stages_for_mode (int mode, int fitalgo);

//void calzero_add (AllConfig * cfg, const AdcmEvent &ev);
//void calavg_add (AllConfig * cfg, const AdcmEvent &ev);



#endif                          /* ADCM_DEC_H */
