#ifndef _TIMER_H
#define _TIMER_H 1


struct ftimer_t {
    double start;
    double stop;
    double saved;
    int running;
    int n_reads;
};

//extern double cpu_clk;
extern double timer_read_cost_min;
extern double timer_read_cost_avg;

//clocks_t get_cycles (void);
//double get_cpu_clk (void);

void init_tsc_timer ();
//void timer_reset(ftimer_t *t);
void timer_start (ftimer_t * t);
void timer_stop (ftimer_t * t);
void timer_resume (ftimer_t * t);
double timer_read (ftimer_t * t);
double timer_read_clear (ftimer_t * t);
double timer_overhead_min (ftimer_t * t);
double timer_overhead_avg (ftimer_t * t);

#endif /* _TIMER_H */
