#ifndef ADCMDEVICE_H
#define ADCMDEVICE_H

#include "regio/mlinkdevice.h"

class CustomMlinkDevice: protected mlink::MlinkDevice {
public:
    CustomMlinkDevice(mlink::RegIOBase &p, int address);

    bool isOnline() const { return mlink::MlinkDevice::isOnline(); } // proxy
    int getAddress() const {return mlink::MlinkDevice::getAddress(); } // proxy
    void setDefaults() { mlink::MlinkDevice::setDefaults(); } // proxy

protected:

};

#endif /* ADCMDEVICE_H */
