//
//    Copyright 2013 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#include "storageconfig.h"

StorageConfig::StorageConfig()
{
    enable = 0;
    mode = 0; // recycle
    szlimit = 100*1024*1024; // 100MB limit
    period = 10;
}

bool StorageConfig::operator==(const StorageConfig &other) const
{
    return true
            && enable == other.enable
            && mode == other.mode
            && bn == other.bn
            && fn == other.fn
            && szlimit == other.szlimit
            && period == other.period
            ;
}

